"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _bankAccountsInterface = require("./bankAccountsInterface.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  var patch = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _request.patchRequest;
  return {
    get: get(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/bank-accounts");
    }),
    patch: patch(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/bank-accounts/") + "".concat(params.key);
    }, _bankAccountsInterface.bankAccountsInterface)
  };
};

exports.service = service;