"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSalesReportInfo = void 0;

var _salesModels = require("../../models/salesModels.js");

var _salesService = require("../../core/services/salesService.js");

var _transactionsService = require("../../core/services/transactionsService.js");

const getSalesReportInfo = (requestParams, instance) => dispatch => {
  const promises = [(0, _salesService.getSalesReport)(requestParams, instance), (0, _transactionsService.getBrands)(requestParams, instance), (0, _transactionsService.getProductTypes)(requestParams, instance)];
  Promise.all(promises).then(responses => {
    dispatch({
      type: 'GET_SALES_REPORT',
      data: (0, _salesModels.salesReportModel)(responses)
    });
  });
};

exports.getSalesReportInfo = getSalesReportInfo;