"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.slingSdk = void 0;

var _slingHelpers = require("sling-helpers");

require("sling-web-component-sdk-connect");

var _store = require("../../container/store/store.js");

const connectReducers = store => {
  if (document.querySelector('sling-sdk-connect') == null) {
    const $sdk = document.createElement('sling-sdk-connect');
    document.body.appendChild($sdk);
    $sdk.store = store || _store.Store;
  }
};

const slingSdk = {
  init: store => {
    if (document.body != null) {
      connectReducers(store);
    } else {
      (0, _slingHelpers.waitUntilEvent)('DOMContentLoaded').then(() => connectReducers(store));
    }
  }
};
exports.slingSdk = slingSdk;