function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var initialState = {
  loaders: {},
  errors: []
};

var startLoader = function startLoader(state, action) {
  var loaderInstance = action.loaderInstance;
  return _objectSpread({}, state, {
    loaders: _objectSpread({}, state.loaders, _defineProperty({}, loaderInstance, (state.loaders[loaderInstance] || 0) + 1))
  });
};

var stopLoader = function stopLoader(state, action) {
  var loaderInstance = action.loaderInstance;
  return _objectSpread({}, state, {
    loaders: _objectSpread({}, state.loaders, _defineProperty({}, loaderInstance, (state.loaders[loaderInstance] || 0) - 1))
  });
};

var setError = function setError(state, action) {
  return _objectSpread({}, state, {
    errors: _objectSpread({}, state.errors, _defineProperty({}, action.instance, action.errors))
  });
};

var setNetworkError = function setNetworkError(state, action) {
  return _objectSpread({}, state, {
    errors: _objectSpread({}, state.errors, _defineProperty({}, action.instance, ['Ocorreu um erro no carregamento dos dados']))
  });
};

var cleanInstanceError = function cleanInstanceError(state, action) {
  return _objectSpread({}, state, {
    errors: _objectSpread({}, state.errors, _defineProperty({}, action.instance, []))
  });
};

export var globalReducer = function globalReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case 'START_LOADER':
      {
        return startLoader(state, action);
      }

    case 'STOP_LOADER':
      {
        return stopLoader(state, action);
      }

    case 'SET_INSTANCE_ERROR':
      {
        return setError(state, action);
      }

    case 'SET_INSTANCE_NETWORK_ERROR':
      {
        return setNetworkError(state, action);
      }

    case 'CLEAN_INSTANCE_ERROR':
      {
        return cleanInstanceError(state, action);
      }

    default:
      return state;
  }
};