function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var initialState = {
  merchantContacts: [],
  merchantPartners: [],
  merchantAddresses: [],
  merchantInfo: [],
  merchantBankInfo: [],
  merchantFees: []
};
export default (function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case 'GET_MERCHANT_CONTACTS':
      return _objectSpread({}, state, {
        merchantContacts: action.data
      });

    case 'PUT_MERCHANT_CONTACTS':
      return _objectSpread({}, state, {
        merchantContacts: state.merchantContacts.map(function (item) {
          return item.id === action.data.id ? _objectSpread({}, item, action.data) : item;
        })
      });

    case 'GET_MERCHANT_PARTNERS':
      return _objectSpread({}, state, {
        merchantPartners: action.data
      });

    case 'GET_MERCHANT_ADDRESSES':
      return _objectSpread({}, state, {
        merchantAddresses: action.data
      });

    case 'GET_MERCHANT_INFO':
      return _objectSpread({}, state, {
        merchantInfo: action.data
      });

    case 'PATCH_MERCHANT_FANTASY_NAME':
      return _objectSpread({}, state, {
        merchantInfo: [_objectSpread({}, state.merchantInfo[0], {
          fantasyName: action.data
        })]
      });

    case 'GET_MERCHANT_BANK_INFO':
      return _objectSpread({}, state, {
        merchantBankInfo: action.data
      });

    case 'PUT_MERCHANT_BANK_INFO':
      return _objectSpread({}, state, {
        merchantBankInfo: _objectSpread({}, state.merchantBankInfo, {
          banks: state.merchantBankInfo.banks.map(function (item) {
            return item.id === action.data.id ? _objectSpread({}, item, action.data) : item;
          })
        })
      });

    case 'GET_MERCHANT_FEES':
      return _objectSpread({}, state, {
        merchantFees: action.data
      });

    default:
      return state;
  }
});