import { matchesInterface } from 'sling-helpers';
import { bankAccountsInterface } from './bankAccountsInterface.js';

describe('Bank Accounts Models', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      bankId: 1,
      branchCode: 'test',
      branchCodeCheckDigit: 'test',
      accountNumber: 'test',
      accountNumberCheckDigit: 'test',
      accountTypeId: 1,
      statusId: 1,
    };
    expect(matchesInterface(bankAccountsInterface)(payload))
      .to.be.true;
  });

  it('Should pass with null agencyNumberVerificationCode.', () => {
    const payload = {
      bankId: null,
      branchCode: null,
      branchCodeCheckDigit: null,
      accountNumber: null,
      accountNumberCheckDigit: null,
      accountTypeId: null,
      statusId: null,
    };
    expect(matchesInterface(bankAccountsInterface)(payload))
      .to.be.true;
  });
});
