import sinon from 'sinon';
import { service as messagesService } from './messages';

const urlParams = {};

describe('Messages Module', () => {
  it('Should have methods after initialization.', () => {
    const service = messagesService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = messagesService(getRequest);

    service.get(urlParams);

    expect(spy).to.have.been.calledOnce;
  });

  it('Should call get request and return a valid URL.', () => {
    const spy = sinon.spy();

    const getRequest = (urlString) => {
      spy(urlString);
      return () => {};
    };

    const service = messagesService(getRequest);

    service.get(urlParams);

    expect(spy).to.have.been.calledOnceWith('v1/messages');
  });
});
