import sinon from 'sinon';
import { service as prepayInformationsService } from './prepayInformations.js';

const urlParams = {};

describe('PrepayInformations Module', () => {
  it('Should have methods after initialization.', () => {
    const service = prepayInformationsService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = prepayInformationsService(getRequest);

    service.get(urlParams);

    expect(spy).to.have.been.calledOnce;
  });

  it('Should call get request and return a valid URL.', () => {
    const spy = sinon.spy();

    const getRequest = (urlString) => {
      spy(urlString);
      return () => {};
    };

    const service = prepayInformationsService(getRequest);

    service.get(urlParams);

    expect(spy).to.have.been
      .calledOnceWith('v1/settlements/prepay/informations');
  });
});
