import { API_URL } from '../constants/constants.js';

import {
  get as getBaseUrl,
  set as setBaseUrl,
} from './baseUrl.js';

describe('Base URL Service', () => {
  it('Should have a default string value.', () => {
    expect(getBaseUrl()).to.equal(API_URL);
  });

  it('Should set the default value if no parameters are passed.', () => {
    setBaseUrl();
    expect(getBaseUrl()).to.equal(API_URL);
  });

  it('Should retrieve the global value when set.', () => {
    setBaseUrl('https://mock.api/');
    expect(getBaseUrl()).to.equal('https://mock.api/');
  });
});
